Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface CatchTree

- All Superinterfaces:
    `Tree`

      public interface CatchTree
      extends Tree

  A tree node for a 'catch' block in a 'try' statement. For example:

         catch ( parameter )
             block

  Since:
    9

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface jdk.nashorn.api.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BlockTree` | `getBlock​()` | Returns the code block of this catch block.
    `ExpressionTree` | `getCondition​()` | Returns the optional catch condition expression.
    `ExpressionTree` | `getParameter​()` | Returns the catch parameter identifier or parameter binding pattern of the exception caught.

    - ### Methods inherited from interface jdk.nashorn.api.tree.Tree

      `accept, getEndPosition, getKind, getStartPosition`

- - ### Method Detail

    - #### getParameter

          ExpressionTree getParameter​()

      Returns the catch parameter identifier or parameter binding pattern of the exception caught.
      Returns:
        the catch parameter identifier or parameter binding pattern

    - #### getBlock

          BlockTree getBlock​()

      Returns the code block of this catch block.
      Returns:
        the code block

    - #### getCondition

          ExpressionTree getCondition​()

      Returns the optional catch condition expression. This is null if this is an unconditional catch statement.
      Returns:
        the optional catch condition expression.